
QGIS Application - Bug report #18490

duplicate parameter registered for alg on closing settings dialog

2018-03-20 03:42 PM - Rashad Kanavath

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26378

Description

QGIS -> Open Processing settings -> click 'OK'

you can see below output in "Processing" tab of Log Messages widget

2018-03-20T15:30:31    WARNING    Duplicate output OUTPUT registered for alg filedownloader

2018-03-20T15:30:31    WARNING    Duplicate output OUTPUT registered for alg package

2018-03-20T15:30:31    WARNING    Duplicate output OUTPUT_HTML_FILE registered for alg rasterlayeruniquevaluesreport

repeating same:

2018-03-20T15:34:13    WARNING    Duplicate output OUTPUT registered for alg filedownloader

2018-03-20T15:34:13    WARNING    Duplicate output OUTPUT registered for alg package

2018-03-20T15:34:13    WARNING    Duplicate output OUTPUT_HTML_FILE registered for alg rasterlayeruniquevaluesreport

2018-03-20T15:34:22    WARNING    Duplicate output OUTPUT registered for alg filedownloader

2018-03-20T15:34:22    WARNING    Duplicate output OUTPUT registered for alg package

2018-03-20T15:34:22    WARNING    Duplicate output OUTPUT_HTML_FILE registered for alg rasterlayeruniquevaluesreport

It is important to note that providers (GDAL,GRASS,SAGA,OTB) are disabled. Enabling them just add more noise to bug report.

All these warning are shown only if it see any duplicate parameters but it shows error that, providers are loaded even if nothing go

changed.

All providers are refreshed in ConfigDialog.accept. see below

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/gui/ConfigDialog.py#L333

Is it possible to not load all of them every time?

Associated revisions

Revision ed7aa299 - 2018-03-20 11:14 PM - Nyall Dawson

[processing] Fix duplicate output parameters for some algs

Fixes #18490

Revision 40812050 - 2018-03-21 12:08 AM - Nyall Dawson

[processing] Fix duplicate output parameters for some algs

Fixes #18490

(cherry-picked from ed7aa29)
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/gui/ConfigDialog.py#L333


History

#1 - 2018-03-20 11:14 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ed7aa2990482b30379c46ffabf956e269c1b5375.
